Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: zprovoznění tiskárny (Vyřešeno)  (Přečteno 1247 krát)

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
zprovoznění tiskárny (Vyřešeno)
« kdy: 12 Září 2022, 16:12:11 »
Dobrý den, udělala jsem novou instalaci ubuntu mate 22.04 lts a při zprovoznění tiskárny HP laserjet 1005 mi nelze stáhnout plugin. Tiskárnu léta úspěšně instaluji z terminálu tímto příkazem: 
sudo apt-get install hplip hplip-gui
Ještě ve čtvrtek to šlo normálně jak jsem zvyklá, ale od pátku ne a ne a ne – viz obr. Jestli tento soubor nějak změnili nebo co, nevím. Tím pádem je tiskárna nefunkční. Ví někdo co s tím?
« Poslední změna: 16 Září 2022, 16:15:49 od Jana »
Ubuntu 16.04 LTS 64bit

JirkaZ

  • Závislák
  • ****
  • Příspěvků: 1253
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:zprovoznění tiskárny
« Odpověď #1 kdy: 12 Září 2022, 16:21:52 »
Zkusil bych ten plugin stáhnout ručně a pak při jeho instalaci zvolit druhou možnost (tedy "Select and install an existing local copy...").

https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/

Kdysi mi to pomohlo, když na webu hplip byl nějaký chlívek.

Samozřejmě verze pluginu musí odpovídat instalované verzi hplip.
« Poslední změna: 12 Září 2022, 16:24:22 od JirkaZ »

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #2 kdy: 12 Září 2022, 16:25:48 »
Možná dobrá myšlenka, ale jak ho stáhnout ručně? Nejsem zas tak sečtělá.
Ubuntu 16.04 LTS 64bit

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #3 kdy: 12 Září 2022, 16:32:34 »
Jirko pardon, nevšimla jsem si tvého odkazu, ale nechce mě to pustit dál - viz obr 2.
Ubuntu 16.04 LTS 64bit

JirkaZ

  • Závislák
  • ****
  • Příspěvků: 1253
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:zprovoznění tiskárny
« Odpověď #4 kdy: 12 Září 2022, 16:45:21 »
Nepamatuju se, který plugin to přesně chce - je tam i hp_laserjet_1005_series.plugin, zkus ho. Nebo možná instalovat mimo instalátor ručně v konzoli balík pluginů (hplip-x.y.z-plugin.run dle verze hplip), příkazem

Kód: [Vybrat]
./hplip-x.y.z-plugin.run
když předtím tomu hplip-x.y.z-plugin.run ve vlastnostech nastavíš spustitelnost.

Někde na webu hplip či kde je podrobný návod k instalaci všemi možnými způsoby, najdi si to. Udělej to ještě předtím, než si různými pokusy instalaci hplip nakopneš. Lze použít i příkaz
Kód: [Vybrat]
hp-doctoropět v konzoli, ten prohlédne celou instalaci a navrhne řešení ev. problémů.

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #5 kdy: 12 Září 2022, 16:50:38 »
Přesně na naši tiskárně je napsáno: HP laserjet P1005
Vyzkouším to a dám vědět.
Ubuntu 16.04 LTS 64bit

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #6 kdy: 12 Září 2022, 17:10:50 »
Píše mi to:  ./hplip-x.y.z-plugin.run: Adresář nebo soubor neexistuje

doctor píše:
Kód: [Vybrat]
HP Linux Imaging and Printing System (ver. 3.21.12)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


HP Linux Imaging and Printing System (ver. 3.21.12)
Self Diagnse Utility and Healing Utility ver. 1.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

-Traceback (most recent call last):
  File "/usr/bin/hp-doctor", line 276, in <module>
    dep.core.init()
  File "/usr/share/hplip/installer/core_install.py", line 523, in init
    self.get_distro()
  File "/usr/share/hplip/installer/core_install.py", line 661, in get_distro
    if 'MX' in distro_release_name:
NameError: name 'distro_release_name' is not defined
« Poslední změna: 16 Září 2022, 22:33:18 od Jana »
Ubuntu 16.04 LTS 64bit

JirkaZ

  • Závislák
  • ****
  • Příspěvků: 1253
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:zprovoznění tiskárny
« Odpověď #7 kdy: 12 Září 2022, 17:29:07 »
Místo toho x,y,z si musíš přece dosadit čísla konkrétní verze...

Z doctora víš, že máš hplip verze 3.21.12, takže si stáhni, nastav spustitelnost a zkus nainstalovat balík pluginů (*.run) s tímto číslem verze.
« Poslední změna: 12 Září 2022, 17:33:34 od JirkaZ »

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #8 kdy: 12 Září 2022, 17:47:19 »
Jenže při pokusu to stáhnout (v tabulce je to skoro až dole) mi to ukazuje zašifrovanou stránku a ta druhá je sice krátká ale stáhnout také nelze. Nevím co s tím.
Ubuntu 16.04 LTS 64bit

JirkaZ

  • Závislák
  • ****
  • Příspěvků: 1253
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:zprovoznění tiskárny
« Odpověď #9 kdy: 12 Září 2022, 17:51:31 »
« Poslední změna: 12 Září 2022, 18:03:37 od JirkaZ »

JirkaZ

  • Závislák
  • ****
  • Příspěvků: 1253
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:zprovoznění tiskárny
« Odpověď #10 kdy: 12 Září 2022, 18:01:22 »
Jenže při pokusu to stáhnout (v tabulce je to skoro až dole) mi to ukazuje zašifrovanou stránku a ta druhá je sice krátká ale stáhnout také nelze. Nevím co s tím.

To není zašifrovaná stránka, ale normální textový soubor (skript) zobrazený v prohlížeči kombinovaný s binární částí dále. Prohlížeč by měl nabídnout co s ním, máš špatně nastavené asociace (v prohlížeči nebo v systému).

Odkaz na soubor s extenzí *.asc: jde o soubor s kontrolním součtem, resp. PGP podpisem (nepotřebuješ, používá se pro ověření bezchybnosti dat např. po stažení).
« Poslední změna: 12 Září 2022, 18:09:43 od JirkaZ »

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #11 kdy: 12 Září 2022, 18:13:50 »
jenže ten soubor je moc veliký, už tři minuty se to kopíruje do terminálu. Nějak se mi to nezdá
Jinak obr
« Poslední změna: 12 Září 2022, 18:20:04 od Jana »
Ubuntu 16.04 LTS 64bit

JirkaZ

  • Závislák
  • ****
  • Příspěvků: 1253
  • Dlouholetý uživatel Linuxu a open source obecně.
Re:zprovoznění tiskárny
« Odpověď #12 kdy: 12 Září 2022, 18:31:11 »
Co se zase pro Krista kopíruje do terminálu - proč???

Přečti si, co jsem napsal výše. V terminálu spustíš stažený soubor.

Obrázek: plugin (s extenzí *.plugin) fakt nemůžeš instalovat pomocí gdebi, není to *.deb. balíček.

Hele, já oceňuju Tvojí snahu se sama starat o systém, ale nutno podotknout, že máš katastrofální neznalosti základních věcí a s touto úrovní znalostí je spíš zázrak, že to nějak zvládáš. Jinými slovy: pokud se někde něco "rozbije" (nefunguje samo), tak nemáš šanci.

Začni učením se od A, nebo si na správu systému někoho opatři...
« Poslední změna: 12 Září 2022, 18:35:38 od JirkaZ »

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #13 kdy: 12 Září 2022, 18:55:42 »
Jenže mě ten soubor stáhnout nejde, ta možnost se mi tu nenabízí.
Ale jinak díky za rady.  J.
Ubuntu 16.04 LTS 64bit

ramael

  • Člen
  • **
  • Příspěvků: 277
Re:zprovoznění tiskárny
« Odpověď #14 kdy: 14 Září 2022, 22:27:56 »
Jano, teď Ti napíšu jak to stáhnout (odkazy od Jirky) v terminálu a spustit. Avšak jestli jsou ty soubory správné netuším. V terminálu napiš řádek po řádku:
Kód: [Vybrat]
cd ~/Plocha
wget https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hp_laserjet_p1005.plugin
wget https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hp_laserjet_1005_series.plugin
wget https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.21.12-plugin.run
chmod +x hplip-3.21.12-plugin.run
./hplip-3.21.12-plugin.run
Pokud to bude mít nedostatečná oprávnění tak poslední dva řádky budou vypadat takto:
Kód: [Vybrat]
sudo chmod +x hplip-3.21.12-plugin.run
sudo ./hplip-3.21.12-plugin.run
Více neposloužím páč moje tiskárna funguje přez CUPS v pohodě a tak jsem nemusel nic řešit.
Jinak mě to pravé myšítko také nabídne jako jednu z možností "Uložit odkaz jako..."
Lenovo: Ideapad 5, AMD Ryzen 4000, Ubuntu 20.04.4, pure wayland - Swaywm 
MeWe  Joutůůůůb

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #15 kdy: 15 Září 2022, 20:58:26 »
ramael díky za snahu
Když jsem klikla v odkaze od Jirky na plugin: hp_laserjet_p1005.plugin nabídlo mi to sáhnutí, ale když jsem klikla na: hplip-3.21.12-plugin.run
přímo se otevřel soubor snad nekonečně dlouhý. Nešel uložit, pouze zkopírovat. Ale našla jsem si stránku kde uložit šel, jenže zhruba v půli instalace mi to napsalo že již není podporován a navíc je 12.21 stará verze. Zkoušela jsem více možností zprovoznění tiskárny, ale několikrát mne to upozornilo že SW již není podporován. Tomu odpovídá i podpora hp - https://123.hp.com/cz/cs/
Tiskárna je hojně používána již 14 let bez jediné poruchy, proto je mi ji líto vyhodit a tak tisknu nadále pod windovs kde ovladače stále hp nabízí.  J.
Ubuntu 16.04 LTS 64bit

ramael

  • Člen
  • **
  • Příspěvků: 277
Re:zprovoznění tiskárny
« Odpověď #16 kdy: 16 Září 2022, 02:43:47 »
Mám pocit, že bych měl více času trávit s krajany. Poslední dobou se mi často stává, že mě lidé nerozumí ač mluvím/píšu česky. Teda vyjma rodiny. Asi si už na mé vyjadřování zvykli. Nebo já nevím co dělám špatně, že mne lidé nerozumí. Zkusím to znova a trochu jinak. Nejdříve si to celé přečti a až teprve pak to udělej krok za krokem jak jsem to posloupně napsal.
Otevři si terminál. Tam napiš
Kód: [Vybrat]
cd ~/Plochaa nech ten terminál otevřený tak jak je. Tím se přesuneš/přepneš do adresáře Plocha.
V rychlosti jsem si něco přečetl na developers.hp.com Potřebuješ znát jakou verzi hplip máš nainstalovanou. Podle výstupu co jsi sem napsala je to verze 3.21.12 Zkus pro jistotu toto nakopírovat do toho terminálu jestli to souhlasí:
Kód: [Vybrat]
apt show hplip | grep -i 'version'
Výsledná sestava čísel (jen čísel a teček mezi něma, ostatní ignoruj) Ti určí co potřebuješ (verzi hplip). Pokud to bude zmíněné 3.21.12 nakopíruj tento řádek do toho terminálu a odentruj to:
Kód: [Vybrat]
wget https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.21.12-plugin.run
Pokud verze bude třeba 3.20.3 bude to za posledním lomítkem vypadat takto hplip-3.20.3-plugin.run
Pak učiň stažený soubor spustitelným tím, že toto nakopíruješ opět do toho terminálu. A opět platí že si tam ty čísla dej podle té Tvé verze hplip:
Kód: [Vybrat]
chmod +x hplip-3.21.12-plugin.runA nakonec to spusť tímto (pořád v tom samém terminálu s Tvou verzí):
Kód: [Vybrat]
./hplip-3.21.12-plugin.runCo to vypíše nakopíruj a postni to sem.
Lenovo: Ideapad 5, AMD Ryzen 4000, Ubuntu 20.04.4, pure wayland - Swaywm 
MeWe  Joutůůůůb

petertomasy

  • Stálý člen
  • ***
  • Příspěvků: 851
Re:zprovoznění tiskárny
« Odpověď #17 kdy: 16 Září 2022, 06:00:03 »
Mňa ešte napadla jedna možnosť, ale možno sa mýlim...
Ten
Kód: [Vybrat]
/home/abcd/Plocha/hp_laserjet_p1005.plugin je zabalený v archíve gzip. A inštalátor si s tým nevie poradiť, teda ho rozbaliť ručne (cez pravé myšitko) a tam  opäť nasmerovať inštalátor. Niečo ako
Kód: [Vybrat]
/home/abcd/Plocha/hp_laserjet_p1005,  nemám to ako overiť , nemám hp tlačiareň .

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #18 kdy: 16 Září 2022, 07:45:26 »
ramael
Kód: [Vybrat]
abcd@abcd-OptiPlex-3050:~$ cd ~/Plocha
abcd@abcd-OptiPlex-3050:~/Plocha$ apt show hplip | grep -i 'version'

WARNING: apt does not have a stable CLI interface. Use with caution in scripts.

Version: 3.21.12+dfsg0-1
    also for PostScript(tm) to fax conversion support
abcd@abcd-OptiPlex-3050:~/Plocha$  wget https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.21.12-plugin.run
--2022-09-16 07:23:22--  https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hplip-3.21.12-plugin.run
Překládám www.openprinting.org (www.openprinting.org)… 2605:bc80:3010:104::8cd3:935, 140.211.9.53
Navazuje se spojení s www.openprinting.org (www.openprinting.org)|2605:bc80:3010:104::8cd3:935|:443… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 200 OK
Délka: 11487224 (11M)
Ukládám do: ‘hplip-3.21.12-plugin.run’

hplip-3.21.12-plugi 100%[===================>]  10,95M  1,89MB/s    za 6,8s   

2022-09-16 07:23:30 (1,62 MB/s) – ‘hplip-3.21.12-plugin.run’ uloženo [11487224/11487224]

abcd@abcd-OptiPlex-3050:~/Plocha$ chmod +x hplip-3.21.12-plugin.run
abcd@abcd-OptiPlex-3050:~/Plocha$ ./hplip-3.21.12-plugin.run
Verifying archive integrity... All good.
Uncompressing HPLIP 3.21.12 Plugin Self Extracting Archive..............................................................

HP Linux Imaging and Printing System (ver. 3.21.12)
Plugin Installer ver. 3.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.21.12
Installed HPLIP version: 3.21.12
Number of files to install: 64

note: Using PyQt5
error: Unable to load Qt5 support. Is it installed? Try running with -i or --qt3 instead.
abcd@abcd-OptiPlex-3050:~/Plocha$

petertomasy - viz obr.
« Poslední změna: 16 Září 2022, 22:32:01 od Jana »
Ubuntu 16.04 LTS 64bit

ramael

  • Člen
  • **
  • Příspěvků: 277
Re:zprovoznění tiskárny
« Odpověď #19 kdy: 16 Září 2022, 10:19:55 »
Nemáš splněné závislosti. To znamená, že tohle když jsi zadala (hned v prvním příspěvku):
Kód: [Vybrat]
sudo apt-get install hplip hplip-gui
s největší pravděpodobností skončilo s chybovou hláškou nebo nějakým varováním.
Možností jak to napravit je určitě více. Já bych šel na to v terminálu takto:
Kód: [Vybrat]
sudo apt purge hplip hplip-gui
sudo apt clean
sudo apt update
sudo apt --yes upgrade
sudo apt install --yes hplip hplip-gui
hp-toolbox
a tam pokračuj jak jsi byla zvyklá (po staru). Pokud někde něco selže, nakopíruj sem ten příkaz a jeho výstup. Pokud nebude chtít fungovat jen ten poslední hp-toolbox pokračuj podle mého předchozího příspěvku.
Pokud i to skončí chybou, postni sem ten chybový výstup ať víme kde bude ten problém tentokrát. A pokusíme se ty chybějící věci doinstalovat růčo. Podle posledního výpisu, ale i jednoho předchozího Ti momentálně chybí pár pythoních knihoven.
Lenovo: Ideapad 5, AMD Ryzen 4000, Ubuntu 20.04.4, pure wayland - Swaywm 
MeWe  Joutůůůůb

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #20 kdy: 16 Září 2022, 11:56:39 »
Kód: [Vybrat]
abcd@abcd-OptiPlex-3050:~$ sudo apt purge hplip hplip-gui
[sudo] heslo pro abcd:
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  hplip-data libhpmud0 libimagequant0 libqt5designer5 libqt5help5
  libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5test5 libqt5xml5
  libraqm0 libsane-hpaio printer-driver-hpcups printer-driver-postscript-hp
  python3-dbus.mainloop.pyqt5 python3-notify2 python3-olefile python3-pil
  python3-pyqt5 python3-pyqt5.sip python3-renderpm python3-reportlab
  python3-reportlab-accel
Pro jejich odstranění použijte „sudo apt autoremove“.
Následující balíky budou ODSTRANĚNY:
  hplip* hplip-gui*
0 aktualizováno, 0 nově instalováno, 2 k odstranění a 11 neaktualizováno.
Po této operaci bude na disku uvolněno 670 kB.
Chcete pokračovat? [Y/n] y
(Načítá se databáze … nyní je nainstalováno 289395 souborů a adresářů.)
Odstraňuje se balík hplip-gui (3.21.12+dfsg0-1) …
Odstraňuje se balík hplip (3.21.12+dfsg0-1) …
Zpracovávají se spouštěče pro balík desktop-file-utils (0.26-1ubuntu3) …
Zpracovávají se spouštěče pro balík gnome-menus (3.36.0-1ubuntu3) …
Zpracovávají se spouštěče pro balík mate-menus (1.26.0-2ubuntu2) …
Zpracovávají se spouštěče pro balík man-db (2.10.2-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
Zpracovávají se spouštěče pro balík mailcap (3.70+nmu1ubuntu1) …
Zpracovávají se spouštěče pro balík bamfdaemon (0.5.6+22.04.20220217-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
(Načítá se databáze … nyní je nainstalováno 289293 souborů a adresářů.)
Odstraňují se konfigurační soubory balíku hplip (3.21.12+dfsg0-1) …
Odstraňují se konfigurační soubory balíku hplip-gui (3.21.12+dfsg0-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
abcd@abcd-OptiPlex-3050:~$ sudo apt clean
abcd@abcd-OptiPlex-3050:~$ sudo apt update
Mám:1 http://cz.archive.ubuntu.com/ubuntu jammy InRelease
Mám:2 http://cz.archive.ubuntu.com/ubuntu jammy-updates InRelease
Mám:3 http://cz.archive.ubuntu.com/ubuntu jammy-backports InRelease
Mám:4 http://security.ubuntu.com/ubuntu jammy-security InRelease
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
11 balíků může být aktualizováno. Zobrazíte je „apt list --upgradable“.
abcd@abcd-OptiPlex-3050:~$ sudo apt --yes upgrade
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Propočítává se aktualizace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  hplip-data libhpmud0 libimagequant0 libqt5designer5 libqt5help5
  libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5test5 libqt5xml5
  libraqm0 libsane-hpaio printer-driver-hpcups printer-driver-postscript-hp
  python3-dbus.mainloop.pyqt5 python3-notify2 python3-olefile python3-pil
  python3-pyqt5 python3-pyqt5.sip python3-renderpm python3-reportlab
  python3-reportlab-accel
Pro jejich odstranění použijte „sudo apt autoremove“.
Následující balíky jsou podrženy v aktuální verzi:
  gcc-12-base libatomic1 libcc1-0 libgcc-s1 libgfortran5 libgomp1 libitm1
  liblsan0 libquadmath0 libstdc++6 libubsan1
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 11 neaktualizováno.
abcd@abcd-OptiPlex-3050:~$ sudo apt install --yes hplip hplip-gui
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Navrhované balíky:
  hplip-doc
Následující NOVÉ balíky budou nainstalovány:
  hplip hplip-gui
0 aktualizováno, 2 nově instalováno, 0 k odstranění a 11 neaktualizováno.
Nutno stáhnout 226 kB archivů.
Po této operaci bude na disku použito dalších 670 kB.
Stahuje se:1 http://cz.archive.ubuntu.com/ubuntu jammy/main amd64 hplip amd64 3.21.12+dfsg0-1 [208 kB]
Stahuje se:2 http://cz.archive.ubuntu.com/ubuntu jammy/universe amd64 hplip-gui all 3.21.12+dfsg0-1 [18,6 kB]
Staženo 226 kB za 2s (91,1 kB/s)       
Vybírá se dosud nevybraný balík hplip.
(Načítá se databáze … nyní je nainstalováno 289291 souborů a adresářů.)
Připravuje se nahrazení …/hplip_3.21.12+dfsg0-1_amd64.deb …
Rozbaluje se hplip (3.21.12+dfsg0-1) …
Vybírá se dosud nevybraný balík hplip-gui.
Připravuje se nahrazení …/hplip-gui_3.21.12+dfsg0-1_all.deb …
Rozbaluje se hplip-gui (3.21.12+dfsg0-1) …
Nastavuje se balík hplip (3.21.12+dfsg0-1) …
Creating/updating hplip user account...
Nastavuje se balík hplip-gui (3.21.12+dfsg0-1) …
Zpracovávají se spouštěče pro balík mailcap (3.70+nmu1ubuntu1) …
Zpracovávají se spouštěče pro balík bamfdaemon (0.5.6+22.04.20220217-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Zpracovávají se spouštěče pro balík desktop-file-utils (0.26-1ubuntu3) …
Zpracovávají se spouštěče pro balík gnome-menus (3.36.0-1ubuntu3) …
Zpracovávají se spouštěče pro balík mate-menus (1.26.0-2ubuntu2) …
Zpracovávají se spouštěče pro balík man-db (2.10.2-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
abcd@abcd-OptiPlex-3050:~$ hp-toolbox

HP Linux Imaging and Printing System (ver. 3.21.12)
HP Device Manager ver. 15.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

-
HP Linux Imaging and Printing System (ver. 3.21.12)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


HP Linux Imaging and Printing System (ver. 3.21.12)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for network connection...
Downloading plug-in from:
error: Plugin download failed with error code = 8
error:  file does not match its checksum. File may have been corrupted or altered

Done.
ramael
instalace tiskárny probíhá i nyní tak jak probíhala už léta, s tím rozdílem že na konci instalace to vždy stáhlo a nainstalovalo plugin
(obr), nyní, tedy před týdnem mi to plugin ani nestáhne a mimo to mi naskočí cedulka (obr.2) a přesně do těchto míst jsme se dostali přes uvedený terminál.
Vážím si tvé i rady ostatních, ale aby sis na tomto soustu nevylámal zuby.  :-[
...Také se nerada vzdávám  :)
« Poslední změna: 16 Září 2022, 22:30:29 od Jana »
Ubuntu 16.04 LTS 64bit

ramael

  • Člen
  • **
  • Příspěvků: 277
Re:zprovoznění tiskárny
« Odpověď #21 kdy: 16 Září 2022, 13:35:19 »
Moje chyba, měl jsem tam připsat to automatické odstranění ostatních knihoven.
Tak znova zkus řádek po řádku:
Kód: [Vybrat]
sudo apt purge hplip hplip-gui
sudo apt --yes autopurge
sudo apt clean
sudo apt update
sudo apt --yes upgrade
sudo apt install --yes hplip hplip-gui libcups2 cups libcups2-dev cups-bsd cups-client avahi-utils libavahi-client-dev libavahi-core-dev libavahi-common-dev libcupsimage2-dev libdbus-1-dev build-essential gtk2-engines-pixbuf ghostscript openssl libjpeg-dev libatk-adaptor libgail-common libsnmp-dev snmp-mibs-downloader libtool libtool-bin libusb-1.0-0-dev libusb-0.1-4 policykit-1 policykit-1-gnome automake1.11 python3-dbus.mainloop.pyqt5 python3-reportlab python3-notify2 python3-pyqt5 python3-dbus python3-gi python3-lxml python3-dev python3-pil python-is-python3 libsane libsane-dev sane-utils xsane
hp-toolbox
Pakliže opět chyba, tak pokračuj:
Kód: [Vybrat]
cd ~/Plocha
wget https://www.openprinting.org/download/printdriver/auxfiles/HP/plugins/hp_laserjet_p1005.plugin
hp-toolbox
a tam zadej Select and install an existing local copy... tam vyhledej soubor hp_laserjet_p1005.plugin na Tvé ploše.
Když tohle selže, tak opět:
Kód: [Vybrat]
cd ~/Plocha
./hplip-3.21.12-plugin.run
a opět jsou třeba chybové výstupy. Začínám si myslet, že je ta verze 3.21.12 nějaká vadná. Já si schválně nainstaloval co mi nabízí systém (3.20.3) a bez problému.
Když i tak to nepůjde asi bych šáhl po vlastním sestavení: https://developers.hp.com/hp-linux-imaging-and-printing/install/manual/distros/ubuntu ale až po odinstalaci hplip a souvisejícího ze systému
Lenovo: Ideapad 5, AMD Ryzen 4000, Ubuntu 20.04.4, pure wayland - Swaywm 
MeWe  Joutůůůůb

Jana

  • Stálý člen
  • ***
  • Příspěvků: 504
Re:zprovoznění tiskárny
« Odpověď #22 kdy: 16 Září 2022, 15:59:47 »
Citace
Když i tak to nepůjde asi bych šáhl po vlastním sestavení: https://developers.hp.com/hp-linux-imaging-and-printing/install/manual/distros/ubuntu ale až po odinstalaci hplip a souvisejícího ze systému
Jenomže ono to jede!  ::) :)
Zpočátku to po mě chtělo doinstalovat nějaký balík opis tu přikládám, ale potom to bylo tak dlouhé že by to tu asi ani nevešlo. Nicméně vše končilo errorama. :(
Až poslední příkazy
Citace
cd ~/Plocha
./hplip-3.21.12-plugin.run
zabraly tak, že se začal stahovat plugin jak jsem byla zvyklá. Po zadání souhlasu a hesla se tiskárna rozjela.

Nyní si dávám otázku zda při každé instalaci či přeinstalaci OS budu muset uskutečnit relativně dlouhý instalační postup přes terminál. I když časově to zas tak náročné není.
ramaeldobře si přečti výzvu která je na obrazovce vpravo nahoře, ale také vím že obzvlášť v dnešní době je času málo.

V každém případě Ti mnohokrát děkuji za ochotu a čas který si mi věnoval. Zdraví Jana. 
Níže přikládám malou část výpisu z terminálu.

Kód: [Vybrat]
abcd@abcd-OptiPlex-3050:~$ sudo apt purge hplip hplip-gui
[sudo] heslo pro abcd:
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  hplip-data libhpmud0 libimagequant0 libqt5designer5 libqt5help5
  libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5test5 libqt5xml5
  libraqm0 libsane-hpaio printer-driver-hpcups printer-driver-postscript-hp
  python3-dbus.mainloop.pyqt5 python3-notify2 python3-olefile python3-pil
  python3-pyqt5 python3-pyqt5.sip python3-renderpm python3-reportlab
  python3-reportlab-accel
Pro jejich odstranění použijte „sudo apt autoremove“.
Následující balíky budou ODSTRANĚNY:
  hplip* hplip-gui*
0 aktualizováno, 0 nově instalováno, 2 k odstranění a 11 neaktualizováno.
Po této operaci bude na disku uvolněno 670 kB.
Chcete pokračovat? [Y/n] y
(Načítá se databáze … nyní je nainstalováno 289395 souborů a adresářů.)
Odstraňuje se balík hplip-gui (3.21.12+dfsg0-1) …
Odstraňuje se balík hplip (3.21.12+dfsg0-1) …
Zpracovávají se spouštěče pro balík desktop-file-utils (0.26-1ubuntu3) …
Zpracovávají se spouštěče pro balík gnome-menus (3.36.0-1ubuntu3) …
Zpracovávají se spouštěče pro balík mate-menus (1.26.0-2ubuntu2) …
Zpracovávají se spouštěče pro balík man-db (2.10.2-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
Zpracovávají se spouštěče pro balík mailcap (3.70+nmu1ubuntu1) …
Zpracovávají se spouštěče pro balík bamfdaemon (0.5.6+22.04.20220217-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
(Načítá se databáze … nyní je nainstalováno 289293 souborů a adresářů.)
Odstraňují se konfigurační soubory balíku hplip (3.21.12+dfsg0-1) …
Odstraňují se konfigurační soubory balíku hplip-gui (3.21.12+dfsg0-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
abcd@abcd-OptiPlex-3050:~$ sudo apt clean
abcd@abcd-OptiPlex-3050:~$ sudo apt update
Mám:1 http://cz.archive.ubuntu.com/ubuntu jammy InRelease
Stahuje se:2 http://cz.archive.ubuntu.com/ubuntu jammy-updates InRelease [114 kB]
Stahuje se:3 http://security.ubuntu.com/ubuntu jammy-security InRelease [110 kB]
Stahuje se:4 http://cz.archive.ubuntu.com/ubuntu jammy-backports InRelease [99,8 kB]
Staženo 324 kB za 0s (907 kB/s)                                       
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
11 balíků může být aktualizováno. Zobrazíte je „apt list --upgradable“.
abcd@abcd-OptiPlex-3050:~$ sudo apt --yes upgrade
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Propočítává se aktualizace… Hotovo
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  hplip-data libhpmud0 libimagequant0 libqt5designer5 libqt5help5
  libqt5printsupport5 libqt5sql5 libqt5sql5-sqlite libqt5test5 libqt5xml5
  libraqm0 libsane-hpaio printer-driver-hpcups printer-driver-postscript-hp
  python3-dbus.mainloop.pyqt5 python3-notify2 python3-olefile python3-pil
  python3-pyqt5 python3-pyqt5.sip python3-renderpm python3-reportlab
  python3-reportlab-accel
Pro jejich odstranění použijte „sudo apt autoremove“.
Následující balíky jsou podrženy v aktuální verzi:
  gcc-12-base libatomic1 libcc1-0 libgcc-s1 libgfortran5 libgomp1 libitm1
  liblsan0 libquadmath0 libstdc++6 libubsan1
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 11 neaktualizováno.
abcd@abcd-OptiPlex-3050:~$ sudo apt install --yes hplip hplip-gui libcups2 cups libcups2-dev cups-bsd cups-client avahi-utils libavahi-client-dev libavahi-core-dev libavahi-common-dev libcupsimage2-dev libdbus-1-dev build-essentia
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
E: Nelze najít balík build-essentia
abcd@abcd-OptiPlex-3050:~$ hp-toolbox
Příkaz „hp-toolbox“ nebyl nalezen, ale je možné ho nainstalovat pomocí:
sudo apt install hplip-gui
abcd@abcd-OptiPlex-3050:~$  sudo apt install hplip-gui
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
Následující dodatečné balíky budou instalovány:
  hplip
Navrhované balíky:
  hplip-doc
Následující NOVÉ balíky budou nainstalovány:
  hplip hplip-gui
0 aktualizováno, 2 nově instalováno, 0 k odstranění a 11 neaktualizováno.
Nutno stáhnout 226 kB archivů.
Po této operaci bude na disku použito dalších 670 kB.
Chcete pokračovat? [Y/n] y
Stahuje se:1 http://cz.archive.ubuntu.com/ubuntu jammy/main amd64 hplip amd64 3.21.12+dfsg0-1 [208 kB]
Stahuje se:2 http://cz.archive.ubuntu.com/ubuntu jammy/universe amd64 hplip-gui all 3.21.12+dfsg0-1 [18,6 kB]
Staženo 226 kB za 0s (1 437 kB/s)     
Vybírá se dosud nevybraný balík hplip.
(Načítá se databáze … nyní je nainstalováno 289291 souborů a adresářů.)
Připravuje se nahrazení …/hplip_3.21.12+dfsg0-1_amd64.deb …
Rozbaluje se hplip (3.21.12+dfsg0-1) …
Vybírá se dosud nevybraný balík hplip-gui.
Připravuje se nahrazení …/hplip-gui_3.21.12+dfsg0-1_all.deb …
Rozbaluje se hplip-gui (3.21.12+dfsg0-1) …
Nastavuje se balík hplip (3.21.12+dfsg0-1) …
Creating/updating hplip user account...
Nastavuje se balík hplip-gui (3.21.12+dfsg0-1) …
Zpracovávají se spouštěče pro balík mailcap (3.70+nmu1ubuntu1) …
Zpracovávají se spouštěče pro balík bamfdaemon (0.5.6+22.04.20220217-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Zpracovávají se spouštěče pro balík desktop-file-utils (0.26-1ubuntu3) …
Zpracovávají se spouštěče pro balík gnome-menus (3.36.0-1ubuntu3) …
Zpracovávají se spouštěče pro balík mate-menus (1.26.0-2ubuntu2) …
Zpracovávají se spouštěče pro balík man-db (2.10.2-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
abcd@abcd-OptiPlex-3050:~$

potom znovu:
Vybírá se dosud nevybraný balík xsane.
Připravuje se nahrazení …/99-xsane_0.999-11ubuntu1_amd64.deb …
Rozbaluje se xsane (0.999-11ubuntu1) …
Nastavuje se balík python3-distutils (3.10.4-0ubuntu1) …
Nastavuje se balík javascript-common (11+nmu1) …
Nastavuje se balík python3-dbus.mainloop.pyqt5 (5.15.6+dfsg-1ubuntu3) …
Nastavuje se balík libamd2:amd64 (1:5.10.1+dfsg-4build1) …
Nastavuje se balík mysql-common (5.8+1.0.8) …
update-alternatives: používám /etc/mysql/my.cnf.fallback pro poskytnutí /etc/mys
ql/my.cnf (my.cnf) v automatickém režimu
Nastavuje se balík libjpeg-turbo8-dev:amd64 (2.1.2-0ubuntu1) …
Nastavuje se balík libmysqlclient21:amd64 (8.0.30-0ubuntu0.22.04.1) …
Nastavuje se balík python3-renderpm:amd64 (3.6.8-1) …
Nastavuje se balík libpng-tools (1.6.37-3build5) …
Nastavuje se balík python3-olefile (0.46-3) …
Nastavuje se balík libsane-dev:amd64 (1.1.1-5) …
Nastavuje se balík libbabl-0.1-0:amd64 (1:0.1.92-1) …
Nastavuje se balík libusb-1.0-doc (2:1.0.25-1ubuntu2) …
Nastavuje se balík smistrip (0.4.8+dfsg2-16) …
Nastavuje se balík hplip-data (3.21.12+dfsg0-1) …
Nastavuje se balík libjbig-dev:amd64 (2.1-3.1build3) …
Nastavuje se balík libusb-1.0-0-dev:amd64 (2:1.0.25-1ubuntu2) …
Nastavuje se balík libmetis5:amd64 (5.1.0.dfsg-7build2) …
Nastavuje se balík libsane:amd64 (1.1.1-5) …
Nastavuje se balík printer-driver-postscript-hp (3.21.12+dfsg0-1) …
Nastavuje se balík python3-webencodings (0.5.1-4) …
Nastavuje se balík libusb-0.1-4:amd64 (2:0.1.12-32build3) …
Nastavuje se balík libqt5sql5:amd64 (5.15.3+dfsg-2ubuntu0.2) …
Nastavuje se balík snmp-mibs-downloader (1.5) …

Downloading documents and extracting MIB files.
This will take some minutes.

In case this process fails, it can always be repeated later by executing
/usr/bin/download-mibs again.

RFC1155-SMI: 119 lines.
RFC1213-MIB: 2613 lines.
NOTE: SMUX: ignored.
SMUX-MIB: 158 lines.
CLNS-MIB: 1294 lines.
RFC1381-MIB: 1007 lines.
RFC1382-MIB: 2627 lines.
RFC1414-MIB: 131 lines.
SNMPv2-PARTY-MIB: 1410 lines.
SNMPv2-M2M-MIB: 807 lines.
MIOX25-MIB: 708 lines.
PPP-LCP-MIB: 764 lines.
PPP-SEC-MIB: 289 lines.
PPP-IP-NCP-MIB: 203 lines.
PPP-BRIDGE-NCP-MIB: 429 lines.
FDDI-SMT73-MIB: 2126 lines.
TOKEN-RING-RMON-MIB: 2302 lines.
SOURCE-ROUTING-MIB: 450 lines.
DECNET-PHIV-MIB: 3030 lines.
DSA-MIB: 642 lines.
DPI20-MIB: 47 lines.
IBM-6611-APPN-MIB: 5112 lines.
DNS-SERVER-MIB: 1078 lines.
DNS-RESOLVER-MIB: 1196 lines.
UPS-MIB: 1899 lines.
CHARACTER-MIB: 646 lines.
RS-232-MIB: 788 lines.
PARALLEL-MIB: 286 lines.
SNA-NAU-MIB: 2765 lines.
SIP-MIB: 1099 lines.
Modem-MIB: 1340 lines.
RDBMS-MIB: 1377 lines.
RIPv2-MIB: 532 lines.
APPLETALK-MIB: 3398 lines.
SNA-SDLC-MIB: 2761 lines.
TOKENRING-MIB: 836 lines.
TOKENRING-STATION-SR-MIB: 175 lines.
TCPIPX-MIB: 331 lines.
SNMPv2-USEC-MIB: 238 lines.
MIP-MIB: 2127 lines.
DOT12-IF-MIB: 772 lines.
DLSW-MIB: 3560 lines.
APPC-MIB: 5104 lines.
SNMP-REPEATER-MIB: 3265 lines.
FRAME-RELAY-DTE-MIB: 992 lines.
ISDN-MIB: 1260 lines.
DIAL-CONTROL-MIB: 1270 lines.
RSVP-MIB: 2660 lines.
INTEGRATED-SERVICES-MIB: 750 lines.
INTEGRATED-SERVICES-GUARANTEED-MIB: 218 lines.
APPN-DLUR-MIB: 632 lines.
HPR-MIB: 1270 lines.
DOT12-RPTR-MIB: 1978 lines.
SYSAPPL-MIB: 1539 lines.
IPOA-MIB: 1654 lines.
IPATM-IPMC-MIB: 3244 lines.
IPV6-TCP-MIB: 211 lines.
IPV6-UDP-MIB: 141 lines.
APPN-MIB: 5611 lines.
APPN-TRAP-MIB: 477 lines.
EBN-MIB: 702 lines.
IPV6-TC: 67 lines.
IPV6-MIB: 1443 lines.
IPV6-ICMP-MIB: 529 lines.
DS0-MIB: 305 lines.
DS0BUNDLE-MIB: 311 lines.
ATM-ACCOUNTING-INFORMATION-MIB: 402 lines.
ACCOUNTING-CONTROL-MIB: 768 lines.
ATM-TC-MIB: 713 lines.
ATM-MIB: 2995 lines.
TN3270E-MIB: 1953 lines.
TN3270E-RT-MIB: 896 lines.
APPLICATION-MIB: 2995 lines.
SNMPv2-SMI: 344 lines.
NOTE: FIZBIN-MIB: ignored.
SNMPv2-TC: 772 lines.
SNMPv2-CONF: 322 lines.
HPR-IP-MIB: 487 lines.
WWW-MIB: 1272 lines.
DIRECTORY-SERVER-MIB: 772 lines.
SMON-MIB: 1254 lines.
ADSL-TC-MIB: 113 lines.
ADSL-LINE-MIB: 4328 lines.
ETHER-CHIPSET-MIB: 532 lines.
NHRP-MIB: 2596 lines.
Job-Monitoring-MIB: 1652 lines.
FLOW-METER-MIB: 1901 lines.
AGENTX-MIB: 527 lines.
SLAPM-MIB: 2842 lines.
SNMP-USM-DH-OBJECTS-MIB: 532 lines.
VRRP-MIB: 789 lines.
NETWORK-SERVICES-MIB: 626 lines.
MTA-MIB: 1226 lines.
HOST-RESOURCES-MIB: 1540 lines.
HOST-RESOURCES-TYPES: 389 lines.
RMON-MIB: 3980 lines.
FIBRE-CHANNEL-FE-MIB: 1781 lines.
HCNUM-TC: 118 lines.
IF-MIB: 1814 lines.
IF-INVERTED-STACK-MIB: 149 lines.
PTOPO-MIB: 804 lines.
IPMROUTE-STD-MIB: 869 lines.
IGMP-STD-MIB: 516 lines.
PIM-MIB: 889 lines.
COPS-CLIENT-MIB: 844 lines.
FRNETSERV-MIB: 2479 lines.
FR-ATM-PVC-SERVICE-IWF-MIB: 1066 lines.
RTP-MIB: 981 lines.
DISMAN-EVENT-MIB: 1882 lines.
DISMAN-EXPRESSION-MIB: 1182 lines.
NOTIFICATION-LOG-MIB: 753 lines.
IPV6-MLD-MIB: 417 lines.
FR-MFR-MIB: 888 lines.
PINT-MIB: 573 lines.
DOCS-BPI-MIB: 1569 lines.
INTERFACETOPN-MIB: 1023 lines.
DISMAN-SCRIPT-MIB: 1764 lines.
SFLOW-MIB: 389 lines.
CIRCUIT-IF-MIB: 369 lines.
FRSLD-MIB: 1768 lines.
DISMAN-SCHEDULE-MIB: 699 lines.
HC-RMON-MIB: 3149 lines.
DSMON-MIB: 4449 lines.
DIFFSERV-DSCP-TC: 64 lines.
DIFFSERV-MIB: 3514 lines.
GSMP-MIB: 1582 lines.
L2TP-MIB: 2664 lines.
SNMP-FRAMEWORK-MIB: 526 lines.
SNMP-MPD-MIB: 145 lines.
NOTE: : ignored.
SNMP-TARGET-MIB: 660 lines.
SNMP-NOTIFICATION-MIB: 589 lines.
SNMP-PROXY-MIB: 294 lines.
NOTE: : ignored.
SNMP-USER-BASED-SM-MIB: 912 lines.
SNMP-VIEW-BASED-ACM-MIB: 830 lines.
SNMPv2-PDU: 133 lines.
SNMPv2-TM: 176 lines.
SNMPv2-MIB: 854 lines.
TRANSPORT-ADDRESS-MIB: 421 lines.
ENTITY-SENSOR-MIB: 440 lines.
HC-ALARM-MIB: 707 lines.
ADSL-LINE-EXT-MIB: 1169 lines.
APS-MIB: 1659 lines.
MALLOC-MIB: 1364 lines.
SNMP-COMMUNITY-MIB: 505 lines.
OPT-IF-MIB: 6616 lines.
SONET-MIB: 2360 lines.
PerfHist-TC-MIB: 178 lines.
IPV6-FLOW-LABEL-MIB: 58 lines.
ATM2-MIB: 3220 lines.
POWER-ETHERNET-MIB: 621 lines.
EtherLike-MIB: 1862 lines.
HC-PerfHist-TC-MIB: 222 lines.
VDSL-LINE-MIB: 2844 lines.
APM-MIB: 2127 lines.
DIFFSERV-CONFIG-MIB: 243 lines.
NOTE: IANA-PRINTER-MIB: ignored.
Printer-MIB: 4389 lines.
NOTE: IANA-FINISHER-MIB: ignored.
Finisher-MIB: 869 lines.
MPLS-TC-STD-MIB: 635 lines.
MPLS-TE-STD-MIB: 2483 lines.
MPLS-LSR-STD-MIB: 2106 lines.
MPLS-FTN-STD-MIB: 1030 lines.
MPLS-LDP-STD-MIB: 2408 lines.
MPLS-LDP-ATM-STD-MIB: 757 lines.
MPLS-LDP-FRAME-RELAY-STD-MIB: 641 lines.
MPLS-LDP-GENERIC-STD-MIB: 321 lines.
ROHC-MIB: 1133 lines.
ROHC-UNCOMPRESSED-MIB: 197 lines.
ROHC-RTP-MIB: 636 lines.
SNMP-USM-AES-MIB: 62 lines.
TRIP-TC-MIB: 132 lines.
TRIP-MIB: 2007 lines.
SCTP-MIB: 1342 lines.
ALARM-MIB: 1127 lines.
NOTE: IANA-ITU-ALARM-TC-MIB: ignored.
ITU-ALARM-TC-MIB: 86 lines.
ITU-ALARM-MIB: 486 lines.
ARC-MIB: 396 lines.
DS3-MIB: 1786 lines.
TE-MIB: 1679 lines.
INET-ADDRESS-MIB: 402 lines.
NAT-MIB: 2391 lines.
POLICY-BASED-MANAGEMENT-MIB: 2060 lines.
TCP-MIB: 785 lines.
DOCS-IETF-SUBMGT-MIB: 672 lines.
FC-MGMT-MIB: 2205 lines.
VDSL-LINE-EXT-SCM-MIB: 420 lines.
VDSL-LINE-EXT-MCM-MIB: 662 lines.
TUNNEL-MIB: 738 lines.
UDP-MIB: 549 lines.
DOCS-IETF-BPI2-MIB: 3451 lines.
ENTITY-MIB: 1411 lines.
SSPM-MIB: 1029 lines.
TPM-MIB: 1916 lines.
BRIDGE-MIB: 1472 lines.
TE-LINK-STD-MIB: 1745 lines.
VPN-TC-STD-MIB: 72 lines.
ENTITY-STATE-TC-MIB: 169 lines.
ENTITY-STATE-MIB: 332 lines.
BGP4-MIB: 1232 lines.
IP-FORWARD-MIB: 1277 lines.
IP-MIB: 4993 lines.
MOBILEIPV6-MIB: 3984 lines.
RSTP-MIB: 306 lines.
HDSL2-SHDSL-LINE-MIB: 2503 lines.
DOCS-IETF-QOS-MIB: 3060 lines.
P-BRIDGE-MIB: 1157 lines.
Q-BRIDGE-MIB: 2367 lines.
MPLS-LC-ATM-STD-MIB: 336 lines.
MPLS-LC-FR-STD-MIB: 263 lines.
IFCP-MGMT-MIB: 1015 lines.
MPLS-L3VPN-STD-MIB: 1588 lines.
FCIP-MGMT-MIB: 1037 lines.
T11-FC-NAME-SERVER-MIB: 1136 lines.
T11-TC-MIB: 67 lines.
T11-FC-FABRIC-ADDR-MGR-MIB: 1241 lines.
ISIS-MIB: 4317 lines.
SCSI-MIB: 2758 lines.
AGGREGATE-MIB: 477 lines.
TIME-AGGREGATE-MIB: 375 lines.
RMON2-MIB: 5711 lines.
ISCSI-MIB: 3097 lines.
IPS-AUTH-MIB: 1156 lines.
DOCS-IF-MIB: 5291 lines.
DOCS-IETF-CABLE-DEVICE-NOTIFICATION-MIB: 1453 lines.
DISMAN-PING-MIB: 1561 lines.
DISMAN-TRACEROUTE-MIB: 1850 lines.
DISMAN-NSLOOKUP-MIB: 509 lines.
MSDP-MIB: 1182 lines.
T11-FC-ROUTE-MIB: 448 lines.
T11-FC-FSPF-MIB: 1170 lines.
LMP-MIB: 3185 lines.
DOCS-CABLE-DEVICE-MIB: 3141 lines.
RADIUS-AUTH-CLIENT-MIB: 710 lines.
RADIUS-AUTH-SERVER-MIB: 774 lines.
RADIUS-ACC-CLIENT-MIB: 638 lines.
RADIUS-ACC-SERVER-MIB: 727 lines.
RADIUS-DYNAUTH-CLIENT-MIB: 767 lines.
RADIUS-DYNAUTH-SERVER-MIB: 699 lines.
PKTC-IETF-MTA-MIB: 2081 lines.
ADSL2-LINE-TC-MIB: 729 lines.
ADSL2-LINE-MIB: 5476 lines.
RAQMON-MIB: 1417 lines.
RAQMON-RDS-MIB: 672 lines.
T11-FC-VIRTUAL-FABRIC-MIB: 523 lines.
OSPF-MIB: 4164 lines.
OSPF-TRAP-MIB: 584 lines.
SIP-TC-MIB: 177 lines.
SIP-COMMON-MIB: 1913 lines.
SIP-UA-MIB: 200 lines.
SIP-SERVER-MIB: 869 lines.
SNMP-IEEE802-TM-MIB: 40 lines.
GMPLS-TC-STD-MIB: 124 lines.
GMPLS-TE-STD-MIB: 1749 lines.
NOTE: IANA-GMPLS-TC-MIB: ignored.
GMPLS-LSR-STD-MIB: 503 lines.
GMPLS-LABEL-STD-MIB: 689 lines.
DS1-MIB: 3015 lines.
IPSEC-SPD-MIB: 2682 lines.
MAU-MIB: 1740 lines.
NOTE: IANA-MAU-MIB: ignored.
DOT3-EPON-MIB: 2532 lines.
DOT3-OAM-MIB: 2115 lines.
TCP-ESTATS-MIB: 2941 lines.
T11-FC-FABRIC-CONFIG-SERVER-MIB: 1717 lines.
T11-FC-FABRIC-LOCK-MIB: 490 lines.
T11-FC-ZONE-SERVER-MIB: 2638 lines.
ISNS-MIB: 3243 lines.
T11-FC-RSCN-MIB: 751 lines.
URI-TC-MIB: 133 lines.
PIM-STD-MIB: 3746 lines.
IF-CAP-STACK-MIB: 284 lines.
EFM-CU-MIB: 2995 lines.
UDPLITE-MIB: 513 lines.
PKTC-IETF-SIG-MIB: 3021 lines.
LANGTAG-TC-MIB: 56 lines.
IPMCAST-MIB: 2391 lines.
MIDCOM-MIB: 2260 lines.
PIM-BSR-MIB: 699 lines.
T11-FC-SP-TC-MIB: 637 lines.
T11-FC-SP-AUTHENTICATION-MIB: 920 lines.
T11-FC-SP-ZONING-MIB: 550 lines.
T11-FC-SP-POLICY-MIB: 4274 lines.
T11-FC-SP-SA-MIB: 2483 lines.
SYSLOG-TC-MIB: 202 lines.
PKTC-IETF-EVENT-MIB: 1163 lines.
NEMO-MIB: 1739 lines.
MGMD-STD-MIB: 1524 lines.
RSERPOOL-MIB: 1439 lines.
PW-TC-STD-MIB: 288 lines.
SNMP-TSM-MIB: 234 lines.
SNMP-SSH-TM-MIB: 329 lines.
NOTE: IANA-PWE3-MIB: ignored.
PW-STD-MIB: 2438 lines.
PW-MPLS-STD-MIB: 914 lines.
PW-ENET-STD-MIB: 491 lines.
PW-TDM-MIB: 1336 lines.
PW-ATM-MIB: 1205 lines.
OSPFV3-MIB: 3951 lines.
VDSL2-LINE-TC-MIB: 1479 lines.
VDSL2-LINE-MIB: 7189 lines.
SYSLOG-MSG-MIB: 598 lines.
DVB-RCS-MIB: 3329 lines.
FORCES-MIB: 391 lines.
IPFIX-MIB: 1677 lines.
NOTE: IPFIX-SELECTOR-MIB: ignored.
CAPWAP-BASE-MIB: 2618 lines.
CAPWAP-DOT11-MIB: 369 lines.
patching file ADSL-LINE-MIB
patching file DLSW-MIB
patching file DSA-MIB
patching file FDDI-SMT73-MIB
patching file HPR-MIB
patching file MIP-MIB
patching file Modem-MIB
patching file PPP-LCP-MIB
patching file RDBMS-MIB
patching file RFC1414-MIB
patching file SNA-NAU-MIB
patching file TCPIPX-MIB
patching file UPS-MIB
patching file SMUX-MIB
patching file IPATM-IPMC-MIB
IANA-PWE3-MIB: 137 lines.
NOTE: PW-STD-MIB: ignored.
NOTE: IPFIX-MIB: ignored.
IPFIX-SELECTOR-MIB: 173 lines.
IANAifType-MIB: 685 lines.
IANA-LANGUAGE-MIB: 126 lines.
IANA-ADDRESS-FAMILY-NUMBERS-MIB: 170 lines.
IANA-RTPROTO-MIB: 102 lines.
IANATn3270eTC-MIB: 303 lines.
IANA-MALLOC-MIB: 69 lines.
IANA-CHARSET-MIB: 361 lines.
IANA-PRINTER-MIB: 2111 lines.
IANA-FINISHER-MIB: 286 lines.
IANA-ITU-ALARM-TC-MIB: 335 lines.
IANA-GMPLS-TC-MIB: 359 lines.
IANA-IPPM-METRICS-REGISTRY-MIB: 818 lines.
IANA-MAU-MIB: 984 lines.
Nastavuje se balík libqt5printsupport5:amd64 (5.15.3+dfsg-2ubuntu0.2) …
Nastavuje se balík libcamd2:amd64 (1:5.10.1+dfsg-4build1) …
Nastavuje se balík autotools-dev (20220109.1) …
Nastavuje se balík libqt5xml5:amd64 (5.15.3+dfsg-2ubuntu0.2) …
Nastavuje se balík libexpat1-dev:amd64 (2.4.7-1) …
Nastavuje se balík libcupsfilters-dev:amd64 (1.28.15-0ubuntu1) …
Nastavuje se balík libraqm0:amd64 (0.7.0-4ubuntu1) …
Nastavuje se balík libsigsegv2:amd64 (2.13-1ubuntu3) …
Nastavuje se balík python3-reportlab-accel:amd64 (3.6.8-1) …
Nastavuje se balík libimagequant0:amd64 (2.17.0-1) …
Nastavuje se balík libssl-dev:amd64 (3.0.2-0ubuntu1.6) …
Nastavuje se balík pkg-config (0.29.2-1ubuntu3) …
Nastavuje se balík libudev-dev:amd64 (249.11-0ubuntu3.4) …
Nastavuje se balík python3-html5lib (1.1-3) …
Nastavuje se balík libnetsnmptrapd40:amd64 (5.9.1+dfsg-1ubuntu2.2) …
Nastavuje se balík liblzma-dev:amd64 (5.2.5-2ubuntu1) …
Nastavuje se balík zlib1g-dev:amd64 (1:1.2.11.dfsg-2ubuntu9.1) …
Nastavuje se balík python3-pyqt5.sip (12.9.1-1build1) …
Nastavuje se balík python3-notify2 (0.3-4) …
Nastavuje se balík gimp-data (2.10.30-1build1) …
Nastavuje se balík python3-lxml:amd64 (4.8.0-1build1) …
Nastavuje se balík libccolamd2:amd64 (1:5.10.1+dfsg-4build1) …
Nastavuje se balík libavahi-common-dev:amd64 (0.8-5ubuntu5) …
Nastavuje se balík libwrap0-dev:amd64 (7.6.q-31build2) …
Nastavuje se balík libgegl-common (1:0.4.34-1build1) …
Nastavuje se balík libsensors-dev:amd64 (1:3.6.0-7ubuntu1) …
Nastavuje se balík libjs-jquery (3.6.0+dfsg+~3.5.13-1) …
Nastavuje se balík libjpeg8-dev:amd64 (8c-2ubuntu10) …
Nastavuje se balík libavahi-core-dev:amd64 (0.8-5ubuntu5) …
Nastavuje se balík xsane-common (0.999-11ubuntu1) …
Nastavuje se balík libqt5test5:amd64 (5.15.3+dfsg-2ubuntu0.2) …
Nastavuje se balík libdeflate-dev:amd64 (1.10-2) …
Nastavuje se balík python-is-python3 (3.9.2-2) …
Nastavuje se balík libhpmud0:amd64 (3.21.12+dfsg0-1) …
Nastavuje se balík python3-soupsieve (2.3.1-1) …
Nastavuje se balík libcholmod3:amd64 (1:5.10.1+dfsg-4build1) …
Nastavuje se balík libsane-hpaio:amd64 (3.21.12+dfsg0-1) …
Nastavuje se balík libpci-dev:amd64 (1:3.7.0-6) …
Nastavuje se balík libtiffxx5:amd64 (4.3.0-6) …
Nastavuje se balík libjs-underscore (1.13.2~dfsg-2) …
Nastavuje se balík policykit-1-gnome (0.105-7ubuntu3) …
Nastavuje se balík libqt5sql5-sqlite:amd64 (5.15.3+dfsg-2ubuntu0.2) …
Nastavuje se balík libqt5designer5:amd64 (5.15.3-1) …
Nastavuje se balík libtool (2.4.6-15build2) …
Nastavuje se balík libpng-dev:amd64 (1.6.37-3build5) …
Nastavuje se balík libjpeg-dev:amd64 (8c-2ubuntu10) …
Nastavuje se balík m4 (1.4.18-5ubuntu2) …
Nastavuje se balík libqt5help5:amd64 (5.15.3-1) …
Nastavuje se balík python3-bs4 (4.10.0-2) …
Nastavuje se balík python3-pil:amd64 (9.0.1-1build1) …
Nastavuje se balík libumfpack5:amd64 (1:5.10.1+dfsg-4build1) …
Nastavuje se balík libtiff-dev:amd64 (4.3.0-6) …
Nastavuje se balík libdbus-1-dev:amd64 (1.12.20-2ubuntu4) …
Nastavuje se balík libpython3.10-dev:amd64 (3.10.4-3ubuntu0.1) …
Nastavuje se balík libjs-sphinxdoc (4.3.2-1) …
Nastavuje se balík libsnmp-perl (5.9.1+dfsg-1ubuntu2.2) …
Nastavuje se balík autoconf (2.71-2) …
Nastavuje se balík python3-reportlab (3.6.8-1) …
Nastavuje se balík python3.10-dev (3.10.4-3ubuntu0.1) …
Nastavuje se balík libsnmp-dev (5.9.1+dfsg-1ubuntu2.2) …
Nastavuje se balík printer-driver-hpcups (3.21.12+dfsg0-1) …
Nastavuje se balík libgegl-0.4-0:amd64 (1:0.4.34-1build1) …
Nastavuje se balík python3-pyqt5 (5.15.6+dfsg-1ubuntu3) …
Nastavuje se balík automake1.11 (1:1.11.6-6) …
update-alternatives: používám /usr/bin/automake-1.11 pro poskytnutí /usr/bin/aut
omake (automake) v automatickém režimu
Nastavuje se balík automake (1:1.16.5-1.3) …
update-alternatives: používám /usr/bin/automake-1.16 pro poskytnutí /usr/bin/aut
omake (automake) v automatickém režimu
Nastavuje se balík hplip (3.21.12+dfsg0-1) …
Creating/updating hplip user account...
Nastavuje se balík libtool-bin (2.4.6-15build2) …
Nastavuje se balík libpython3-dev:amd64 (3.10.4-0ubuntu2) …
Nastavuje se balík hplip-gui (3.21.12+dfsg0-1) …
Nastavuje se balík libltdl-dev:amd64 (2.4.6-15build2) …
Nastavuje se balík python3-dev (3.10.4-0ubuntu2) …
Nastavuje se balík libgimp2.0:amd64 (2.10.30-1build1) …
Nastavuje se balík xsane (0.999-11ubuntu1) …
Nastavuje se balík libcupsimage2-dev:amd64 (2.4.1op1-1ubuntu4.1) …
Nastavuje se balík libcups2-dev:amd64 (2.4.1op1-1ubuntu4.1) …
Zpracovávají se spouštěče pro balík sgml-base (1.30) …
Zpracovávají se spouštěče pro balík install-info (6.8-4build1) …
Zpracovávají se spouštěče pro balík mailcap (3.70+nmu1ubuntu1) …
Zpracovávají se spouštěče pro balík bamfdaemon (0.5.6+22.04.20220217-0ubuntu1) …
Rebuilding /usr/share/applications/bamf-2.index...
Zpracovávají se spouštěče pro balík desktop-file-utils (0.26-1ubuntu3) …
Zpracovávají se spouštěče pro balík hicolor-icon-theme (0.17-2) …
Zpracovávají se spouštěče pro balík cups (2.4.1op1-1ubuntu4.1) …
Updating PPD files for hpcups ...
PPD for printer PSC-1400-series updated
Updating PPD files for postscript-hp ...
Zpracovávají se spouštěče pro balík gnome-menus (3.36.0-1ubuntu3) …
Zpracovávají se spouštěče pro balík mate-menus (1.26.0-2ubuntu2) …
Zpracovávají se spouštěče pro balík libc-bin (2.35-0ubuntu3.1) …
Nastavuje se balík libavahi-client-dev:amd64 (0.8-5ubuntu5) …
Zpracovávají se spouštěče pro balík man-db (2.10.2-1) …
Zpracovávají se spouštěče pro balík dbus (1.12.20-2ubuntu4) …
abcd@abcd-OptiPlex-3050:~$ hp-toolbox

HP Linux Imaging and Printing System (ver. 3.21.12)
HP Device Manager ver. 15.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

-
HP Linux Imaging and Printing System (ver. 3.21.12)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.


HP Linux Imaging and Printing System (ver. 3.21.12)
Plugin Download and Install Utility ver. 2.1

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Checking for network connection...
Downloading plug-in from:
error: Plugin download failed with error code = 8
error:  file does not match its checksum. File may have been corrupted or altered

Done.

Dál to nechtělo pracovat, tak jsem pustila terminál znovu a pokračovala...
« Poslední změna: 16 Září 2022, 22:28:10 od Jana »
Ubuntu 16.04 LTS 64bit

ramael

  • Člen
  • **
  • Příspěvků: 277
Re:zprovoznění tiskárny
« Odpověď #23 kdy: 16 Září 2022, 16:18:11 »
Tohle:
Citace
abcd@abcd-OptiPlex-3050:~$ sudo apt install --yes hplip hplip-gui libcups2 cups libcups2-dev cups-bsd cups-client avahi-utils libavahi-client-dev libavahi-core-dev libavahi-common-dev libcupsimage2-dev libdbus-1-dev build-essentia
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí… Hotovo
Načítají se stavové informace… Hotovo
E: Nelze najít balík build-essentia
abcd@abcd-OptiPlex-3050:~$ hp-toolbox
Příkaz „hp-toolbox“ nebyl nalezen, ale je možné ho nainstalovat pomocí:
se stalo a dále nefungovalo, protože jsi nepozorná. Neokopírovala jsi ten řádek celý!

Ale je fajn když se "jak je možný, že to nefunguje. Proč?" změní na "jak je možný, že to funguje. Proč?" :)
« Poslední změna: 16 Září 2022, 16:21:43 od ramael »
Lenovo: Ideapad 5, AMD Ryzen 4000, Ubuntu 20.04.4, pure wayland - Swaywm 
MeWe  Joutůůůůb

Ventero

  • Závislák
  • ****
  • Příspěvků: 3010
Re:zprovoznění tiskárny (Vyřešeno)
« Odpověď #24 kdy: 16 Září 2022, 22:04:56 »
Jano ahoj. Jsem rad,  ze ti to funguje, ale musim te upozornit, aby jsi dbala toho, ze vypisy je treba davat do tzv. kodu, zvlaste ty dlouhe a stejne tak jako pouzivas citaci ve vhodnych pripadech - ma to velmi prakticky duvod. Prosim pouprav zpetne sve prispevky a s prominutim, pokud zde mas 500 prispevku, tak uz by jsi tohle mela znat.

Nic ve zlem, ale nekdo si tu nepopularni praci na starost vzit musel - tak ted jsem to ja, kdo na to pravidelne upozornuje.

Jinak klobouk dolu, ze se s tim takhle peres a drzis se.

Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

 


Provoz zaštiťuje spolek OpenAlt.